package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.siemensDb.AddSiemensDbReq;
import org.wcs.model.dto.serve.siemensDb.QuerySiemensDbReq;
import org.wcs.model.dto.serve.siemensDb.UpdateSiemensDbReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.common.PageDataResponse;
import org.wcs.model.vo.serve.siemensDb.SiemensDbVo;

public interface ISiemensDbService {
    AppServeDataResponse<PageDataResponse<SiemensDbVo>> querySiemensDb(Integer pageIndex, Integer pageSize, QuerySiemensDbReq request);
    AppServeResponse addSiemensDb(AddSiemensDbReq request); // 新增西门子DB数据
    AppServeResponse updateSiemensDb(UpdateSiemensDbReq request); // 修改西门子DB数据
    AppServeResponse deleteSiemensDb(String dbName); // 删除西门子DB数据
    AppServeResponse reloadDbAddress();
}
